Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JasperPrintManager

    java.lang.Object
      net.sf.jasperreports.engine.JasperPrintManager

    public final class JasperPrintManager

extends java.lang.Object

Fa�ade class for the JasperReports engine.

Version:
  $Id: JasperPrintManager.java 3832 2010-05-26 14:06:54Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PROPERTY_CHECK_AVAILABLE_PRINTERS` Property whose value is used to check the availability of printers accepting jobs.
`protected static boolean` | `unixSunJDK`

Method Summary
`static boolean` | `printPage(java.io.InputStream inputStream, int pageIndex, boolean withPrintDialog)`
`static boolean` | `printPage(JasperPrint jasperPrint, int pageIndex, boolean withPrintDialog)`
`static boolean` | `printPage(java.lang.String sourceFileName, int pageIndex, boolean withPrintDialog)`
`static boolean` | `printPages(java.io.InputStream inputStream, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
`static boolean` | `printPages(JasperPrint jasperPrint, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
`static boolean` | `printPages(java.lang.String sourceFileName, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
`static java.awt.Image` | `printPageToImage(java.io.InputStream inputStream, int pageIndex, float zoom)`
`static java.awt.Image` | `printPageToImage(JasperPrint jasperPrint, int pageIndex, float zoom)`
`static java.awt.Image` | `printPageToImage(java.lang.String sourceFileName, int pageIndex, float zoom)`
`static boolean` | `printReport(java.io.InputStream inputStream, boolean withPrintDialog)`
`static boolean` | `printReport(JasperPrint jasperPrint, boolean withPrintDialog)`
`static boolean` | `printReport(java.lang.String sourceFileName, boolean withPrintDialog)`
`static byte[]` | `printReportToPdf(JasperPrint jasperPrint)` Deprecated. Replaced by `JasperExportManager.exportReportToPdf(JasperPrint)`.
`static void` | `printReportToPdfFile(JasperPrint jasperPrint, java.lang.String destFileName)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(JasperPrint, String)`.
`static java.lang.String` | `printReportToPdfFile(java.lang.String sourceFileName)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String)`.
`static void` | `printReportToPdfFile(java.lang.String sourceFileName, java.lang.String destFileName)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String, String)`.
`static void` | `printReportToPdfStream(java.io.InputStream inputStream, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(InputStream, OutputStream)`.
`static void` | `printReportToPdfStream(JasperPrint jasperPrint, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(JasperPrint, OutputStream)`.
`static java.lang.String` | `printReportToXml(JasperPrint jasperPrint)` Deprecated. Replaced by `JasperExportManager.exportReportToXml(JasperPrint)`.
`static void` | `printReportToXmlFile(JasperPrint jasperPrint, java.lang.String destFileName, boolean isEmbeddingImages)` Deprecated. Replaced by `JasperExportManager.exportReportToXmlFile(JasperPrint, String, boolean)`.
`static java.lang.String` | `printReportToXmlFile(java.lang.String sourceFileName, boolean isEmbeddingImages)` Deprecated. Replaced by `JasperExportManager.exportReportToXmlFile(String, boolean)`.
`static void` | `printReportToXmlFile(java.lang.String sourceFileName, java.lang.String destFileName, boolean isEmbeddingImages)` Deprecated. Replaced by `JasperExportManager.exportReportToXmlFile(String, String, boolean)`.
`static void` | `printReportToXmlStream(java.io.InputStream inputStream, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperExportManager.exportReportToXmlStream(InputStream, OutputStream)`.
`static void` | `printReportToXmlStream(JasperPrint jasperPrint, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperExportManager.exportReportToXmlStream(JasperPrint, OutputStream)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CHECK_AVAILABLE_PRINTERS

    public static final java.lang.String PROPERTY_CHECK_AVAILABLE_PRINTERS

  Property whose value is used to check the availability of printers accepting jobs.

  This property is by default set to `true`.

  See Also:
    Constant Field Values

### unixSunJDK

    protected static final boolean unixSunJDK

Method Detail

### printReportToPdfFile

    public static java.lang.String printReportToPdfFile(java.lang.String sourceFileName)
                                                 throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String)`.

  Throws:
    `JRException`

### printReportToPdfFile

    public static void printReportToPdfFile(java.lang.String sourceFileName,
                                            java.lang.String destFileName)
                                     throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String, String)`.

  Throws:
    `JRException`

### printReportToPdfFile

    public static void printReportToPdfFile(JasperPrint jasperPrint,
                                            java.lang.String destFileName)
                                     throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(JasperPrint, String)`.

  Throws:
    `JRException`

### printReportToPdfStream

    public static void printReportToPdfStream(java.io.InputStream inputStream,
                                              java.io.OutputStream outputStream)
                                       throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(InputStream, OutputStream)`.

  Throws:
    `JRException`

### printReportToPdfStream

    public static void printReportToPdfStream(JasperPrint jasperPrint,
                                              java.io.OutputStream outputStream)
                                       throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(JasperPrint, OutputStream)`.

  Throws:
    `JRException`

### printReportToPdf

    public static byte[] printReportToPdf(JasperPrint jasperPrint)
                                   throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdf(JasperPrint)`.

  Throws:
    `JRException`

### printReportToXmlFile

    public static java.lang.String printReportToXmlFile(java.lang.String sourceFileName,
                                                        boolean isEmbeddingImages)
                                                 throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToXmlFile(String, boolean)`.

  Throws:
    `JRException`

### printReportToXmlFile

    public static void printReportToXmlFile(java.lang.String sourceFileName,
                                            java.lang.String destFileName,
                                            boolean isEmbeddingImages)
                                     throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToXmlFile(String, String, boolean)`.

  Throws:
    `JRException`

### printReportToXmlFile

    public static void printReportToXmlFile(JasperPrint jasperPrint,
                                            java.lang.String destFileName,
                                            boolean isEmbeddingImages)
                                     throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToXmlFile(JasperPrint, String, boolean)`.

  Throws:
    `JRException`

### printReportToXmlStream

    public static void printReportToXmlStream(java.io.InputStream inputStream,
                                              java.io.OutputStream outputStream)
                                       throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToXmlStream(InputStream, OutputStream)`.

  Throws:
    `JRException`

### printReportToXmlStream

    public static void printReportToXmlStream(JasperPrint jasperPrint,
                                              java.io.OutputStream outputStream)
                                       throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToXmlStream(JasperPrint, OutputStream)`.

  Throws:
    `JRException`

### printReportToXml

    public static java.lang.String printReportToXml(JasperPrint jasperPrint)
                                             throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToXml(JasperPrint)`.

  Throws:
    `JRException`

### printReport

    public static boolean printReport(java.lang.String sourceFileName,
                                      boolean withPrintDialog)
                               throws JRException

  Throws:
    `JRException`

### printReport

    public static boolean printReport(java.io.InputStream inputStream,
                                      boolean withPrintDialog)
                               throws JRException

  Throws:
    `JRException`

### printReport

    public static boolean printReport(JasperPrint jasperPrint,
                                      boolean withPrintDialog)
                               throws JRException

  Throws:
    `JRException`

### printPage

    public static boolean printPage(java.lang.String sourceFileName,
                                    int pageIndex,
                                    boolean withPrintDialog)
                             throws JRException

  Throws:
    `JRException`

### printPage

    public static boolean printPage(java.io.InputStream inputStream,
                                    int pageIndex,
                                    boolean withPrintDialog)
                             throws JRException

  Throws:
    `JRException`

### printPage

    public static boolean printPage(JasperPrint jasperPrint,
                                    int pageIndex,
                                    boolean withPrintDialog)
                             throws JRException

  Throws:
    `JRException`

### printPages

    public static boolean printPages(java.lang.String sourceFileName,
                                     int firstPageIndex,
                                     int lastPageIndex,
                                     boolean withPrintDialog)
                              throws JRException

  Throws:
    `JRException`

### printPages

    public static boolean printPages(java.io.InputStream inputStream,
                                     int firstPageIndex,
                                     int lastPageIndex,
                                     boolean withPrintDialog)
                              throws JRException

  Throws:
    `JRException`

### printPages

    public static boolean printPages(JasperPrint jasperPrint,
                                     int firstPageIndex,
                                     int lastPageIndex,
                                     boolean withPrintDialog)
                              throws JRException

  Throws:
    `JRException`

### printPageToImage

    public static java.awt.Image printPageToImage(java.lang.String sourceFileName,
                                                  int pageIndex,
                                                  float zoom)
                                           throws JRException

  Throws:
    `JRException`

### printPageToImage

    public static java.awt.Image printPageToImage(java.io.InputStream inputStream,
                                                  int pageIndex,
                                                  float zoom)
                                           throws JRException

  Throws:
    `JRException`

### printPageToImage

    public static java.awt.Image printPageToImage(JasperPrint jasperPrint,
                                                  int pageIndex,
                                                  float zoom)
                                           throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com